Create or update a customer - Flex Documentation
Create or update a customer
cURL
curl --request POST \
--url https://api.withflex.com/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer": {
"first_name": "John",
"last_name": "Doe",
"email": "joh.doe@example.com",
"phone": "+15555555555",
"employer": "Flex",
"shipping": {},
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": "{\"key\": \"value\"}"
}
}
'```
### Python
```python
import requests
url = "https://api.withflex.com/v1/customers"
payload = { "customer": {
"first_name": "John",
"last_name": "Doe",
"email": "joh.doe@example.com",
"phone": "+15555555555",
"employer": "Flex",
"shipping": {},
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": "{\"key\": \"value\"}"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer: {
first_name: 'John',
last_name: 'Doe',
email: 'joh.doe@example.com',
phone: '+15555555555',
employer: 'Flex',
shipping: {},
checkout_session_id: 'fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA',
metadata: '{"key": "value"}'
}
})
};
fetch('https://api.withflex.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.withflex.com/v1/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer' => [
'first_name' => 'John',
'last_name' => 'Doe',
'email' => 'joh.doe@example.com',
'phone' => '+15555555555',
'employer' => 'Flex',
'shipping' => [],
'checkout_session_id' => 'fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA',
'metadata' => '{"key": "value"}'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.withflex.com/v1/customers"
payload := strings.NewReader("{\n \"customer\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"email\": \"joh.doe@example.com\",\n \"phone\": \"+15555555555\",\n \"employer\": \"Flex\",\n \"shipping\": {},\n \"checkout_session_id\": \"fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA\",\n \"metadata\": \"{\\\"key\\\": \\\"value\\\}"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Success Example
{
"customer": {
"customer_id": "fcus_01HACM7FZ1084XB1GB6053VM0D",
"owner_partner_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"first_name": "John",
"last_name": "Doe",
"email": "joh.doe@example.com",
"phone": "+15555555555",
"employer": "Flex",
"shipping": {},
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z",
"test_mode": false
}
}
Error Response Example
{
"code": "string",
"detail": "string"
}
Example Customer Object
{
"first_name": "John",
"last_name": "Doe",
"email": "joh.doe@example.com",
"phone": "+15555555555",
"employer": "Flex",
"shipping": {
"line1": "123 Main St",
"line2": "Suite 100",
"city": "San Francisco",
"state": "CA",
"postal_code": "94107",
"country": "US"
},
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": "{\"key\": \"value\"}"
}
Authorizations
Authorization: string, required, Use a Bearer token to access this API.